Page MenuHomePhabricator

[CMake] Don't cache LLVM_MAIN_SRC_DIR
ClosedPublic

Authored by phosek on Feb 8 2019, 7:14 PM.

Details

Summary

If we're not in a standalone build, this variable should be already
set, so there's no need to set it again or to cache it.

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Feb 8 2019, 7:14 PM

@mgorny mentioned a need for this to be cached in D57406#1376170, so I'll let him weigh in on this.

mgorny accepted this revision.Feb 9 2019, 5:28 AM

I suppose you are correct. It shouldn't need to be redefined when doing in-tree build.

Disclaimer: I haven't tested it. Presuming you've tested both variants.

This revision is now accepted and ready to land.Feb 9 2019, 5:28 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2019, 11:09 PM